<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0//EN">

<html>

<head>

<meta http-equiv="content-type" content="text/html; charset=iso-8859-1">

<title>Debian Policy Manual - The Debian Archive</title>

<link href="index.html" rel="start">
<link href="ch-scope.html" rel="prev">
<link href="ch-binary.html" rel="next">
<link href="index.html#contents" rel="contents">
<link href="index.html#copyright" rel="copyright">
<link href="ch-scope.html" rel="chapter" title="1 About this manual">
<link href="ch-archive.html" rel="chapter" title="2 The Debian Archive">
<link href="ch-binary.html" rel="chapter" title="3 Binary packages">
<link href="ch-source.html" rel="chapter" title="4 Source packages">
<link href="ch-controlfields.html" rel="chapter" title="5 Control files and their fields">
<link href="ch-maintainerscripts.html" rel="chapter" title="6 Package maintainer scripts and installation procedure">
<link href="ch-relationships.html" rel="chapter" title="7 Declaring relationships between packages">
<link href="ch-sharedlibs.html" rel="chapter" title="8 Shared libraries">
<link href="ch-opersys.html" rel="chapter" title="9 The Operating System">
<link href="ch-files.html" rel="chapter" title="10 Files">
<link href="ch-customized-programs.html" rel="chapter" title="11 Customized programs">
<link href="ch-docs.html" rel="chapter" title="12 Documentation">
<link href="ap-pkg-scope.html" rel="appendix" title="A Introduction and scope of these appendices">
<link href="ap-pkg-binarypkg.html" rel="appendix" title="B Binary packages (from old Packaging Manual)">
<link href="ap-pkg-sourcepkg.html" rel="appendix" title="C Source packages (from old Packaging Manual)">
<link href="ap-pkg-controlfields.html" rel="appendix" title="D Control files and their fields (from old Packaging Manual)">
<link href="ap-pkg-conffiles.html" rel="appendix" title="E Configuration file handling (from old Packaging Manual)">
<link href="ap-pkg-alternatives.html" rel="appendix" title="F Alternative versions of an interface - update-alternatives (from old Packaging Manual)">
<link href="ap-pkg-diversions.html" rel="appendix" title="G Diversions - overriding a package's version of a file (from old Packaging Manual)">
<link href="ch-scope.html#s1.1" rel="section" title="1.1 Scope">
<link href="ch-scope.html#s1.2" rel="section" title="1.2 New versions of this document">
<link href="ch-scope.html#s-authors" rel="section" title="1.3 Authors and Maintainers">
<link href="ch-scope.html#s-related" rel="section" title="1.4 Related documents">
<link href="ch-scope.html#s-definitions" rel="section" title="1.5 Definitions">
<link href="ch-archive.html#s-dfsg" rel="section" title="2.1 The Debian Free Software Guidelines">
<link href="ch-archive.html#s-sections" rel="section" title="2.2 Archive areas">
<link href="ch-archive.html#s-pkgcopyright" rel="section" title="2.3 Copyright considerations">
<link href="ch-archive.html#s-subsections" rel="section" title="2.4 Sections">
<link href="ch-archive.html#s-priorities" rel="section" title="2.5 Priorities">
<link href="ch-binary.html#s3.1" rel="section" title="3.1 The package name">
<link href="ch-binary.html#s-versions" rel="section" title="3.2 The version of a package">
<link href="ch-binary.html#s-maintainer" rel="section" title="3.3 The maintainer of a package">
<link href="ch-binary.html#s-descriptions" rel="section" title="3.4 The description of a package">
<link href="ch-binary.html#s-dependencies" rel="section" title="3.5 Dependencies">
<link href="ch-binary.html#s-virtual_pkg" rel="section" title="3.6 Virtual packages">
<link href="ch-binary.html#s3.7" rel="section" title="3.7 Base system">
<link href="ch-binary.html#s3.8" rel="section" title="3.8 Essential packages">
<link href="ch-binary.html#s-maintscripts" rel="section" title="3.9 Maintainer Scripts">
<link href="ch-source.html#s-standardsversion" rel="section" title="4.1 Standards conformance">
<link href="ch-source.html#s-pkg-relations" rel="section" title="4.2 Package relationships">
<link href="ch-source.html#s4.3" rel="section" title="4.3 Changes to the upstream sources">
<link href="ch-source.html#s-dpkgchangelog" rel="section" title="4.4 Debian changelog: debian/changelog">
<link href="ch-source.html#s-dpkgcopyright" rel="section" title="4.5 Copyright: debian/copyright">
<link href="ch-source.html#s4.6" rel="section" title="4.6 Error trapping in makefiles">
<link href="ch-source.html#s-timestamps" rel="section" title="4.7 Time Stamps">
<link href="ch-source.html#s-restrictions" rel="section" title="4.8 Restrictions on objects in source packages">
<link href="ch-source.html#s-debianrules" rel="section" title="4.9 Main building script: debian/rules">
<link href="ch-source.html#s-substvars" rel="section" title="4.10 Variable substitutions: debian/substvars">
<link href="ch-source.html#s-debianwatch" rel="section" title="4.11 Optional upstream source location: debian/watch">
<link href="ch-source.html#s-debianfiles" rel="section" title="4.12 Generated files list: debian/files">
<link href="ch-source.html#s-embeddedfiles" rel="section" title="4.13 Convenience copies of code">
<link href="ch-source.html#s-readmesource" rel="section" title="4.14 Source package handling: debian/README.source">
<link href="ch-controlfields.html#s-controlsyntax" rel="section" title="5.1 Syntax of control files">
<link href="ch-controlfields.html#s-sourcecontrolfiles" rel="section" title="5.2 Source package control files -- debian/control">
<link href="ch-controlfields.html#s-binarycontrolfiles" rel="section" title="5.3 Binary package control files -- DEBIAN/control">
<link href="ch-controlfields.html#s-debiansourcecontrolfiles" rel="section" title="5.4 Debian source control files -- .dsc">
<link href="ch-controlfields.html#s-debianchangesfiles" rel="section" title="5.5 Debian changes files -- .changes">
<link href="ch-controlfields.html#s-controlfieldslist" rel="section" title="5.6 List of fields">
<link href="ch-controlfields.html#s5.7" rel="section" title="5.7 User-defined fields">
<link href="ch-controlfields.html#s-obsolete-control-data-fields" rel="section" title="5.8 Obsolete fields">
<link href="ch-maintainerscripts.html#s6.1" rel="section" title="6.1 Introduction to package maintainer scripts">
<link href="ch-maintainerscripts.html#s-idempotency" rel="section" title="6.2 Maintainer scripts idempotency">
<link href="ch-maintainerscripts.html#s-controllingterminal" rel="section" title="6.3 Controlling terminal for maintainer scripts">
<link href="ch-maintainerscripts.html#s-exitstatus" rel="section" title="6.4 Exit status">
<link href="ch-maintainerscripts.html#s-mscriptsinstact" rel="section" title="6.5 Summary of ways maintainer scripts are called">
<link href="ch-maintainerscripts.html#s-unpackphase" rel="section" title="6.6 Details of unpack phase of installation or upgrade">
<link href="ch-maintainerscripts.html#s-configdetails" rel="section" title="6.7 Details of configuration">
<link href="ch-maintainerscripts.html#s-removedetails" rel="section" title="6.8 Details of removal and/or configuration purging">
<link href="ch-relationships.html#s-depsyntax" rel="section" title="7.1 Syntax of relationship fields">
<link href="ch-relationships.html#s-binarydeps" rel="section" title="7.2 Binary Dependencies - Depends, Recommends, Suggests, Enhances, Pre-Depends">
<link href="ch-relationships.html#s-breaks" rel="section" title="7.3 Packages which break other packages - Breaks">
<link href="ch-relationships.html#s-conflicts" rel="section" title="7.4 Conflicting binary packages - Conflicts">
<link href="ch-relationships.html#s-virtual" rel="section" title="7.5 Virtual packages - Provides">
<link href="ch-relationships.html#s-replaces" rel="section" title="7.6 Overwriting files and replacing packages - Replaces">
<link href="ch-relationships.html#s-sourcebinarydeps" rel="section" title="7.7 Relationships between source and binary packages - Build-Depends, Build-Depends-Indep, Build-Conflicts, Build-Conflicts-Indep">
<link href="ch-relationships.html#s-built-using" rel="section" title="7.8 Additional source packages used to build the binary - Built-Using">
<link href="ch-sharedlibs.html#s-sharedlibs-runtime" rel="section" title="8.1 Run-time shared libraries">
<link href="ch-sharedlibs.html#s-sharedlibs-support-files" rel="section" title="8.2 Shared library support files">
<link href="ch-sharedlibs.html#s-sharedlibs-static" rel="section" title="8.3 Static libraries">
<link href="ch-sharedlibs.html#s-sharedlibs-dev" rel="section" title="8.4 Development files">
<link href="ch-sharedlibs.html#s-sharedlibs-intradeps" rel="section" title="8.5 Dependencies between the packages of the same library">
<link href="ch-sharedlibs.html#s-sharedlibs-depends" rel="section" title="8.6 Dependencies between the library and other packages">
<link href="ch-opersys.html#s9.1" rel="section" title="9.1 File system hierarchy">
<link href="ch-opersys.html#s9.2" rel="section" title="9.2 Users and groups">
<link href="ch-opersys.html#s-sysvinit" rel="section" title="9.3 System run levels and init.d scripts">
<link href="ch-opersys.html#s9.4" rel="section" title="9.4 Console messages from init.d scripts">
<link href="ch-opersys.html#s-cron-jobs" rel="section" title="9.5 Cron jobs">
<link href="ch-opersys.html#s-menus" rel="section" title="9.6 Menus">
<link href="ch-opersys.html#s-mime" rel="section" title="9.7 Multimedia handlers">
<link href="ch-opersys.html#s9.8" rel="section" title="9.8 Keyboard configuration">
<link href="ch-opersys.html#s9.9" rel="section" title="9.9 Environment variables">
<link href="ch-opersys.html#s-doc-base" rel="section" title="9.10 Registering Documents using doc-base">
<link href="ch-opersys.html#s-alternateinit" rel="section" title="9.11 Alternate init systems">
<link href="ch-files.html#s-binaries" rel="section" title="10.1 Binaries">
<link href="ch-files.html#s-libraries" rel="section" title="10.2 Libraries">
<link href="ch-files.html#s10.3" rel="section" title="10.3 Shared libraries">
<link href="ch-files.html#s-scripts" rel="section" title="10.4 Scripts">
<link href="ch-files.html#s10.5" rel="section" title="10.5 Symbolic links">
<link href="ch-files.html#s10.6" rel="section" title="10.6 Device files">
<link href="ch-files.html#s-config-files" rel="section" title="10.7 Configuration files">
<link href="ch-files.html#s10.8" rel="section" title="10.8 Log files">
<link href="ch-files.html#s-permissions-owners" rel="section" title="10.9 Permissions and owners">
<link href="ch-files.html#s-filenames" rel="section" title="10.10 File names">
<link href="ch-customized-programs.html#s-arch-spec" rel="section" title="11.1 Architecture specification strings">
<link href="ch-customized-programs.html#s11.2" rel="section" title="11.2 Daemons">
<link href="ch-customized-programs.html#s11.3" rel="section" title="11.3 Using pseudo-ttys and modifying wtmp, utmp and lastlog">
<link href="ch-customized-programs.html#s11.4" rel="section" title="11.4 Editors and pagers">
<link href="ch-customized-programs.html#s-web-appl" rel="section" title="11.5 Web servers and applications">
<link href="ch-customized-programs.html#s-mail-transport-agents" rel="section" title="11.6 Mail transport, delivery and user agents">
<link href="ch-customized-programs.html#s11.7" rel="section" title="11.7 News system configuration">
<link href="ch-customized-programs.html#s11.8" rel="section" title="11.8 Programs for the X Window System">
<link href="ch-customized-programs.html#s-perl" rel="section" title="11.9 Perl programs and modules">
<link href="ch-customized-programs.html#s-emacs" rel="section" title="11.10 Emacs lisp programs">
<link href="ch-customized-programs.html#s11.11" rel="section" title="11.11 Games">
<link href="ch-docs.html#s12.1" rel="section" title="12.1 Manual pages">
<link href="ch-docs.html#s12.2" rel="section" title="12.2 Info documents">
<link href="ch-docs.html#s-docs-additional" rel="section" title="12.3 Additional documentation">
<link href="ch-docs.html#s12.4" rel="section" title="12.4 Preferred documentation formats">
<link href="ch-docs.html#s-copyrightfile" rel="section" title="12.5 Copyright information">
<link href="ch-docs.html#s12.6" rel="section" title="12.6 Examples">
<link href="ch-docs.html#s-changelogs" rel="section" title="12.7 Changelog files">
<link href="ap-pkg-binarypkg.html#s-pkg-bincreating" rel="section" title="B.1 Creating package files - dpkg-deb">
<link href="ap-pkg-binarypkg.html#s-pkg-controlarea" rel="section" title="B.2 Package control information files">
<link href="ap-pkg-binarypkg.html#s-pkg-controlfile" rel="section" title="B.3 The main control information file: control">
<link href="ap-pkg-binarypkg.html#sB.4" rel="section" title="B.4 Time Stamps">
<link href="ap-pkg-sourcepkg.html#s-pkg-sourcetools" rel="section" title="C.1 Tools for processing source packages">
<link href="ap-pkg-sourcepkg.html#s-pkg-sourcetree" rel="section" title="C.2 The Debian package source tree">
<link href="ap-pkg-sourcepkg.html#s-pkg-sourcearchives" rel="section" title="C.3 Source packages as archives">
<link href="ap-pkg-sourcepkg.html#sC.4" rel="section" title="C.4 Unpacking a Debian source package without dpkg-source">
<link href="ap-pkg-controlfields.html#sD.1" rel="section" title="D.1 Syntax of control files">
<link href="ap-pkg-controlfields.html#sD.2" rel="section" title="D.2 List of fields">
<link href="ap-pkg-conffiles.html#sE.1" rel="section" title="E.1 Automatic handling of configuration files by dpkg">
<link href="ap-pkg-conffiles.html#sE.2" rel="section" title="E.2 Fully-featured maintainer script configuration handling">
<link href="ch-archive.html#s-main" rel="subsection" title="2.2.1 The main archive area">
<link href="ch-archive.html#s-contrib" rel="subsection" title="2.2.2 The contrib archive area">
<link href="ch-archive.html#s-non-free" rel="subsection" title="2.2.3 The non-free archive area">
<link href="ch-binary.html#s3.2.1" rel="subsection" title="3.2.1 Version numbers based on dates">
<link href="ch-binary.html#s-synopsis" rel="subsection" title="3.4.1 The single line synopsis">
<link href="ch-binary.html#s-extendeddesc" rel="subsection" title="3.4.2 The extended description">
<link href="ch-binary.html#s-maintscriptprompt" rel="subsection" title="3.9.1 Prompting in maintainer scripts">
<link href="ch-source.html#s-debianrules-options" rel="subsection" title="4.9.1 debian/rules and DEB_BUILD_OPTIONS">
<link href="ch-controlfields.html#s-f-Source" rel="subsection" title="5.6.1 Source">
<link href="ch-controlfields.html#s-f-Maintainer" rel="subsection" title="5.6.2 Maintainer">
<link href="ch-controlfields.html#s-f-Uploaders" rel="subsection" title="5.6.3 Uploaders">
<link href="ch-controlfields.html#s-f-Changed-By" rel="subsection" title="5.6.4 Changed-By">
<link href="ch-controlfields.html#s-f-Section" rel="subsection" title="5.6.5 Section">
<link href="ch-controlfields.html#s-f-Priority" rel="subsection" title="5.6.6 Priority">
<link href="ch-controlfields.html#s-f-Package" rel="subsection" title="5.6.7 Package">
<link href="ch-controlfields.html#s-f-Architecture" rel="subsection" title="5.6.8 Architecture">
<link href="ch-controlfields.html#s-f-Essential" rel="subsection" title="5.6.9 Essential">
<link href="ch-controlfields.html#s5.6.10" rel="subsection" title="5.6.10 Package interrelationship fields: Depends, Pre-Depends, Recommends, Suggests, Breaks, Conflicts, Provides, Replaces, Enhances">
<link href="ch-controlfields.html#s-f-Standards-Version" rel="subsection" title="5.6.11 Standards-Version">
<link href="ch-controlfields.html#s-f-Version" rel="subsection" title="5.6.12 Version">
<link href="ch-controlfields.html#s-f-Description" rel="subsection" title="5.6.13 Description">
<link href="ch-controlfields.html#s-f-Distribution" rel="subsection" title="5.6.14 Distribution">
<link href="ch-controlfields.html#s-f-Date" rel="subsection" title="5.6.15 Date">
<link href="ch-controlfields.html#s-f-Format" rel="subsection" title="5.6.16 Format">
<link href="ch-controlfields.html#s-f-Urgency" rel="subsection" title="5.6.17 Urgency">
<link href="ch-controlfields.html#s-f-Changes" rel="subsection" title="5.6.18 Changes">
<link href="ch-controlfields.html#s-f-Binary" rel="subsection" title="5.6.19 Binary">
<link href="ch-controlfields.html#s-f-Installed-Size" rel="subsection" title="5.6.20 Installed-Size">
<link href="ch-controlfields.html#s-f-Files" rel="subsection" title="5.6.21 Files">
<link href="ch-controlfields.html#s-f-Closes" rel="subsection" title="5.6.22 Closes">
<link href="ch-controlfields.html#s-f-Homepage" rel="subsection" title="5.6.23 Homepage">
<link href="ch-controlfields.html#s-f-Checksums" rel="subsection" title="5.6.24 Checksums-Sha1 and Checksums-Sha256">
<link href="ch-controlfields.html#s5.6.25" rel="subsection" title="5.6.25 DM-Upload-Allowed">
<link href="ch-controlfields.html#s-f-VCS-fields" rel="subsection" title="5.6.26 Version Control System (VCS) fields">
<link href="ch-controlfields.html#s-f-Package-List" rel="subsection" title="5.6.27 Package-List">
<link href="ch-controlfields.html#s-f-Package-Type" rel="subsection" title="5.6.28 Package-Type">
<link href="ch-controlfields.html#s-f-Dgit" rel="subsection" title="5.6.29 Dgit">
<link href="ch-controlfields.html#s-f-DM-Upload-Allowed" rel="subsection" title="5.8.1 DM-Upload-Allowed">
<link href="ch-relationships.html#s7.6.1" rel="subsection" title="7.6.1 Overwriting files in other packages">
<link href="ch-relationships.html#s7.6.2" rel="subsection" title="7.6.2 Replacing whole packages, forcing their removal">
<link href="ch-sharedlibs.html#s-ldconfig" rel="subsection" title="8.1.1 ldconfig">
<link href="ch-sharedlibs.html#s-dpkg-shlibdeps" rel="subsection" title="8.6.1 Generating dependencies on shared libraries">
<link href="ch-sharedlibs.html#s-sharedlibs-updates" rel="subsection" title="8.6.2 Shared library ABI changes">
<link href="ch-sharedlibs.html#s-sharedlibs-symbols" rel="subsection" title="8.6.3 The symbols system">
<link href="ch-sharedlibs.html#s-symbols-paths" rel="subsection" title="8.6.3.1 The symbols files present on the system">
<link href="ch-sharedlibs.html#s-symbols" rel="subsection" title="8.6.3.2 The symbols File Format">
<link href="ch-sharedlibs.html#s-providing-symbols" rel="subsection" title="8.6.3.3 Providing a symbols file">
<link href="ch-sharedlibs.html#s-sharedlibs-shlibdeps" rel="subsection" title="8.6.4 The shlibs system">
<link href="ch-sharedlibs.html#s-shlibs-paths" rel="subsection" title="8.6.4.1 The shlibs files present on the system">
<link href="ch-sharedlibs.html#s-shlibs" rel="subsection" title="8.6.4.2 The shlibs File Format">
<link href="ch-sharedlibs.html#s8.6.4.3" rel="subsection" title="8.6.4.3 Providing a shlibs file">
<link href="ch-opersys.html#s-fhs" rel="subsection" title="9.1.1 File System Structure">
<link href="ch-opersys.html#s9.1.2" rel="subsection" title="9.1.2 Site-specific programs">
<link href="ch-opersys.html#s9.1.3" rel="subsection" title="9.1.3 The system-wide mail directory">
<link href="ch-opersys.html#s-fhs-run" rel="subsection" title="9.1.4 /run and /run/lock">
<link href="ch-opersys.html#s9.2.1" rel="subsection" title="9.2.1 Introduction">
<link href="ch-opersys.html#s9.2.2" rel="subsection" title="9.2.2 UID and GID classes">
<link href="ch-opersys.html#s-/etc/init.d" rel="subsection" title="9.3.1 Introduction">
<link href="ch-opersys.html#s-writing-init" rel="subsection" title="9.3.2 Writing the scripts">
<link href="ch-opersys.html#s9.3.3" rel="subsection" title="9.3.3 Interfacing with the initscript system">
<link href="ch-opersys.html#s9.3.3.1" rel="subsection" title="9.3.3.1 Managing the links">
<link href="ch-opersys.html#s9.3.3.2" rel="subsection" title="9.3.3.2 Running initscripts">
<link href="ch-opersys.html#s9.3.4" rel="subsection" title="9.3.4 Boot-time initialization">
<link href="ch-opersys.html#s9.3.5" rel="subsection" title="9.3.5 Example">
<link href="ch-opersys.html#s-cron-files" rel="subsection" title="9.5.1 Cron job file names">
<link href="ch-opersys.html#s-media-types-freedesktop" rel="subsection" title="9.7.1 Registration of media type handlers with desktop entries">
<link href="ch-opersys.html#s-mailcap" rel="subsection" title="9.7.2 Registration of media type handlers with mailcap entries">
<link href="ch-opersys.html#s-file-media-type" rel="subsection" title="9.7.3 Providing media types to files">
<link href="ch-opersys.html#s-upstart" rel="subsection" title="9.11.1 Event-based boot with upstart">
<link href="ch-files.html#s10.7.1" rel="subsection" title="10.7.1 Definitions">
<link href="ch-files.html#s10.7.2" rel="subsection" title="10.7.2 Location">
<link href="ch-files.html#s10.7.3" rel="subsection" title="10.7.3 Behavior">
<link href="ch-files.html#s10.7.4" rel="subsection" title="10.7.4 Sharing configuration files">
<link href="ch-files.html#s10.7.5" rel="subsection" title="10.7.5 User configuration files (&quot;dotfiles&quot;)">
<link href="ch-files.html#s10.9.1" rel="subsection" title="10.9.1 The use of dpkg-statoverride">
<link href="ch-customized-programs.html#s-arch-wildcard-spec" rel="subsection" title="11.1.1 Architecture wildcards">
<link href="ch-customized-programs.html#s11.8.1" rel="subsection" title="11.8.1 Providing X support and package priorities">
<link href="ch-customized-programs.html#s11.8.2" rel="subsection" title="11.8.2 Packages providing an X server">
<link href="ch-customized-programs.html#s11.8.3" rel="subsection" title="11.8.3 Packages providing a terminal emulator">
<link href="ch-customized-programs.html#s11.8.4" rel="subsection" title="11.8.4 Packages providing a window manager">
<link href="ch-customized-programs.html#s11.8.5" rel="subsection" title="11.8.5 Packages providing fonts">
<link href="ch-customized-programs.html#s-appdefaults" rel="subsection" title="11.8.6 Application defaults files">
<link href="ch-customized-programs.html#s11.8.7" rel="subsection" title="11.8.7 Installation directory issues">
<link href="ch-docs.html#s-copyrightformat" rel="subsection" title="12.5.1 Machine-readable copyright information">
<link href="ap-pkg-sourcepkg.html#s-pkg-dpkg-source" rel="subsection" title="C.1.1 dpkg-source - packs and unpacks Debian source packages">
<link href="ap-pkg-sourcepkg.html#s-pkg-dpkg-buildpackage" rel="subsection" title="C.1.2 dpkg-buildpackage - overall package-building control script">
<link href="ap-pkg-sourcepkg.html#s-pkg-dpkg-gencontrol" rel="subsection" title="C.1.3 dpkg-gencontrol - generates binary package control files">
<link href="ap-pkg-sourcepkg.html#s-pkg-dpkg-shlibdeps" rel="subsection" title="C.1.4 dpkg-shlibdeps - calculates shared library dependencies">
<link href="ap-pkg-sourcepkg.html#s-pkg-dpkg-distaddfile" rel="subsection" title="C.1.5 dpkg-distaddfile - adds a file to debian/files">
<link href="ap-pkg-sourcepkg.html#s-pkg-dpkg-genchanges" rel="subsection" title="C.1.6 dpkg-genchanges - generates a .changes upload control file">
<link href="ap-pkg-sourcepkg.html#s-pkg-dpkg-parsechangelog" rel="subsection" title="C.1.7 dpkg-parsechangelog - produces parsed representation of a changelog">
<link href="ap-pkg-sourcepkg.html#s-pkg-dpkg-architecture" rel="subsection" title="C.1.8 dpkg-architecture - information about the build and host system">
<link href="ap-pkg-sourcepkg.html#s-pkg-debianrules" rel="subsection" title="C.2.1 debian/rules - the main building script">
<link href="ap-pkg-sourcepkg.html#s-pkg-srcsubstvars" rel="subsection" title="C.2.2 debian/substvars and variable substitutions">
<link href="ap-pkg-sourcepkg.html#sC.2.3" rel="subsection" title="C.2.3 debian/files">
<link href="ap-pkg-sourcepkg.html#sC.2.4" rel="subsection" title="C.2.4 debian/tmp">
<link href="ap-pkg-sourcepkg.html#sC.4.1" rel="subsection" title="C.4.1 Restrictions on objects in source packages">
<link href="ap-pkg-controlfields.html#s-pkg-f-Filename" rel="subsection" title="D.2.1 Filename and MSDOS-Filename">
<link href="ap-pkg-controlfields.html#s-pkg-f-Size" rel="subsection" title="D.2.2 Size and MD5sum">
<link href="ap-pkg-controlfields.html#s-pkg-f-Status" rel="subsection" title="D.2.3 Status">
<link href="ap-pkg-controlfields.html#s-pkg-f-Config-Version" rel="subsection" title="D.2.4 Config-Version">
<link href="ap-pkg-controlfields.html#s-pkg-f-Conffiles" rel="subsection" title="D.2.5 Conffiles">
<link href="ap-pkg-controlfields.html#sD.2.6" rel="subsection" title="D.2.6 Obsolete fields">

</head>

<body>

<p><a name="ch-archive"></a></p>
<hr>

<p>
[ <a href="ch-scope.html">previous</a> ]
[ <a href="index.html#contents">Contents</a> ]
[ <a href="ch-scope.html">1</a> ]
[ 2 ]
[ <a href="ch-binary.html">3</a> ]
[ <a href="ch-source.html">4</a> ]
[ <a href="ch-controlfields.html">5</a> ]
[ <a href="ch-maintainerscripts.html">6</a> ]
[ <a href="ch-relationships.html">7</a> ]
[ <a href="ch-sharedlibs.html">8</a> ]
[ <a href="ch-opersys.html">9</a> ]
[ <a href="ch-files.html">10</a> ]
[ <a href="ch-customized-programs.html">11</a> ]
[ <a href="ch-docs.html">12</a> ]
[ <a href="ap-pkg-scope.html">A</a> ]
[ <a href="ap-pkg-binarypkg.html">B</a> ]
[ <a href="ap-pkg-sourcepkg.html">C</a> ]
[ <a href="ap-pkg-controlfields.html">D</a> ]
[ <a href="ap-pkg-conffiles.html">E</a> ]
[ <a href="ap-pkg-alternatives.html">F</a> ]
[ <a href="ap-pkg-diversions.html">G</a> ]
[ <a href="ch-binary.html">next</a> ]
</p>

<hr>

<h1>
Debian Policy Manual
<br>Chapter 2 - The Debian Archive
</h1>

<hr>

<p>
The Debian system is maintained and distributed as a collection of
<em>packages</em>.  Since there are so many of them (currently well over
15000), they are split into <em>sections</em> and given <em>priorities</em> to
simplify the handling of them.
</p>

<p>
The effort of the Debian project is to build a free operating system, but not
every package we want to make accessible is <em>free</em> in our sense (see the
Debian Free Software Guidelines, below), or may be imported/exported without
restrictions.  Thus, the archive is split into areas[<a
href="footnotes.html#f3" name="fr3">3</a>] based on their licenses and other
restrictions.
</p>

<p>
The aims of this are:
</p>
<ul>
<li>
<p>
to allow us to make as much software available as we can
</p>
</li>
<li>
<p>
to allow us to encourage everyone to write free software, and
</p>
</li>
<li>
<p>
to allow us to make it easy for people to produce CD-ROMs of our system without
violating any licenses, import/export restrictions, or any other laws.
</p>
</li>
</ul>

<p>
The <em>main</em> archive area forms the <em>Debian distribution</em>.
</p>

<p>
Packages in the other archive areas (<samp>contrib</samp>,
<samp>non-free</samp>) are not considered to be part of the Debian
distribution, although we support their use and provide infrastructure for them
(such as our bug-tracking system and mailing lists).  This Debian Policy Manual
applies to these packages as well.
</p>

<hr>

<h2 id="s-dfsg">2.1 The Debian Free Software Guidelines</h2>

<p>
The Debian Free Software Guidelines (DFSG) form our definition of &quot;free
software&quot;.  These are:
</p>
<dl>
<dt>1. Free Redistribution</dt>
<dd>
<p>
The license of a Debian component may not restrict any party from selling or
giving away the software as a component of an aggregate software distribution
containing programs from several different sources.  The license may not
require a royalty or other fee for such sale.
</p>
</dd>
</dl>
<dl>
<dt>2. Source Code</dt>
<dd>
<p>
The program must include source code, and must allow distribution in source
code as well as compiled form.
</p>
</dd>
</dl>
<dl>
<dt>3. Derived Works</dt>
<dd>
<p>
The license must allow modifications and derived works, and must allow them to
be distributed under the same terms as the license of the original software.
</p>
</dd>
</dl>
<dl>
<dt>4. Integrity of The Author's Source Code</dt>
<dd>
<p>
The license may restrict source-code from being distributed in modified form
<em>only</em> if the license allows the distribution of &quot;patch files&quot;
with the source code for the purpose of modifying the program at build time.
The license must explicitly permit distribution of software built from modified
source code.  The license may require derived works to carry a different name
or version number from the original software.  (This is a compromise.  The
Debian Project encourages all authors to not restrict any files, source or
binary, from being modified.)
</p>
</dd>
</dl>
<dl>
<dt>5. No Discrimination Against Persons or Groups</dt>
<dd>
<p>
The license must not discriminate against any person or group of persons.
</p>
</dd>
</dl>
<dl>
<dt>6. No Discrimination Against Fields of Endeavor</dt>
<dd>
<p>
The license must not restrict anyone from making use of the program in a
specific field of endeavor.  For example, it may not restrict the program from
being used in a business, or from being used for genetic research.
</p>
</dd>
</dl>
<dl>
<dt>7. Distribution of License</dt>
<dd>
<p>
The rights attached to the program must apply to all to whom the program is
redistributed without the need for execution of an additional license by those
parties.
</p>
</dd>
</dl>
<dl>
<dt>8. License Must Not Be Specific to Debian</dt>
<dd>
<p>
The rights attached to the program must not depend on the program's being part
of a Debian system.  If the program is extracted from Debian and used or
distributed without Debian but otherwise within the terms of the program's
license, all parties to whom the program is redistributed must have the same
rights as those that are granted in conjunction with the Debian system.
</p>
</dd>
</dl>
<dl>
<dt>9. License Must Not Contaminate Other Software</dt>
<dd>
<p>
The license must not place restrictions on other software that is distributed
along with the licensed software.  For example, the license must not insist
that all other programs distributed on the same medium must be free software.
</p>
</dd>
</dl>
<dl>
<dt>10. Example Licenses</dt>
<dd>
<p>
The &quot;GPL,&quot; &quot;BSD,&quot; and &quot;Artistic&quot; licenses are
examples of licenses that we consider <em>free</em>.
</p>
</dd>
</dl>

<hr>

<h2 id="s-sections">2.2 Archive areas</h2>

<hr>

<h3 id="s-main">2.2.1 The main archive area</h3>

<p>
The <em>main</em> archive area comprises the Debian distribution.  Only the
packages in this area are considered part of the distribution.  None of the
packages in the <em>main</em> archive area require software outside of that
area to function.  Anyone may use, share, modify and redistribute the packages
in this archive area freely[<a href="footnotes.html#f4" name="fr4">4</a>].
</p>

<p>
Every package in <em>main</em> must comply with the DFSG (Debian Free Software
Guidelines).
</p>

<p>
In addition, the packages in <em>main</em>
</p>
<ul>
<li>
<p>
must not require or recommend a package outside of <em>main</em> for
compilation or execution (thus, the package must not declare a
&quot;Pre-Depends&quot;, &quot;Depends&quot;, &quot;Recommends&quot;,
&quot;Build-Depends&quot;, or &quot;Build-Depends-Indep&quot; relationship on a
non-<em>main</em> package),
</p>
</li>
<li>
<p>
must not be so buggy that we refuse to support them, and
</p>
</li>
<li>
<p>
must meet all policy requirements presented in this manual.
</p>
</li>
</ul>

<hr>

<h3 id="s-contrib">2.2.2 The contrib archive area</h3>

<p>
The <em>contrib</em> archive area contains supplemental packages intended to
work with the Debian distribution, but which require software outside of the
distribution to either build or function.
</p>

<p>
Every package in <em>contrib</em> must comply with the DFSG.
</p>

<p>
In addition, the packages in <em>contrib</em>
</p>
<ul>
<li>
<p>
must not be so buggy that we refuse to support them, and
</p>
</li>
<li>
<p>
must meet all policy requirements presented in this manual.
</p>
</li>
</ul>

<p>
Examples of packages which would be included in <em>contrib</em> are:
</p>
<ul>
<li>
<p>
free packages which require <em>contrib</em>, <em>non-free</em> packages or
packages which are not in our archive at all for compilation or execution, and
</p>
</li>
<li>
<p>
wrapper packages or other sorts of free accessories for non-free programs.
</p>
</li>
</ul>

<hr>

<h3 id="s-non-free">2.2.3 The non-free archive area</h3>

<p>
The <em>non-free</em> archive area contains supplemental packages intended to
work with the Debian distribution that do not comply with the DFSG or have
other problems that make their distribution problematic.  They may not comply
with all of the policy requirements in this manual due to restrictions on
modifications or other limitations.
</p>

<p>
Packages must be placed in <em>non-free</em> if they are not compliant with the
DFSG or are encumbered by patents or other legal issues that make their
distribution problematic.
</p>

<p>
In addition, the packages in <em>non-free</em>
</p>
<ul>
<li>
<p>
must not be so buggy that we refuse to support them, and
</p>
</li>
<li>
<p>
must meet all policy requirements presented in this manual that it is possible
for them to meet.  [<a href="footnotes.html#f5" name="fr5">5</a>]
</p>
</li>
</ul>

<hr>

<h2 id="s-pkgcopyright">2.3 Copyright considerations</h2>

<p>
Every package must be accompanied by a verbatim copy of its copyright
information and distribution license in the file
<code>/usr/share/doc/<var>package</var>/copyright</code> (see <a
href="ch-docs.html#s-copyrightfile">Copyright information, Section 12.5</a> for
further details).
</p>

<p>
We reserve the right to restrict files from being included anywhere in our
archives if
</p>
<ul>
<li>
<p>
their use or distribution would break a law,
</p>
</li>
<li>
<p>
there is an ethical conflict in their distribution or use,
</p>
</li>
<li>
<p>
we would have to sign a license for them, or
</p>
</li>
<li>
<p>
their distribution would conflict with other project policies.
</p>
</li>
</ul>

<p>
Programs whose authors encourage the user to make donations are fine for the
main distribution, provided that the authors do not claim that not donating is
immoral, unethical, illegal or something similar; in such a case they must go
in <em>non-free</em>.
</p>

<p>
Packages whose copyright permission notices (or patent problems) do not even
allow redistribution of binaries only, and where no special permission has been
obtained, must not be placed on the Debian FTP site and its mirrors at all.
</p>

<p>
Note that under international copyright law (this applies in the United States,
too), <em>no</em> distribution or modification of a work is allowed without an
explicit notice saying so.  Therefore a program without a copyright notice
<em>is</em> copyrighted and you may not do anything to it without risking being
sued!  Likewise if a program has a copyright notice but no statement saying
what is permitted then nothing is permitted.
</p>

<p>
Many authors are unaware of the problems that restrictive copyrights (or lack
of copyright notices) can cause for the users of their supposedly-free
software.  It is often worthwhile contacting such authors diplomatically to ask
them to modify their license terms.  However, this can be a politically
difficult thing to do and you should ask for advice on the
<samp>debian-legal</samp> mailing list first, as explained below.
</p>

<p>
When in doubt about a copyright, send mail to <code><a
href="mailto:debian-legal@lists.debian.org">mailto:debian-legal@lists.debian.org</a></code>.
Be prepared to provide us with the copyright statement.  Software covered by
the GPL, public domain software and BSD-like copyrights are safe; be wary of
the phrases &quot;commercial use prohibited&quot; and &quot;distribution
restricted&quot;.
</p>

<hr>

<h2 id="s-subsections">2.4 Sections</h2>

<p>
The packages in the archive areas <em>main</em>, <em>contrib</em> and
<em>non-free</em> are grouped further into <em>sections</em> to simplify
handling.
</p>

<p>
The archive area and section for each package should be specified in the
package's <samp>Section</samp> control record (see <a
href="ch-controlfields.html#s-f-Section"><samp>Section</samp>, Section
5.6.5</a>).  However, the maintainer of the Debian archive may override this
selection to ensure the consistency of the Debian distribution.  The
<samp>Section</samp> field should be of the form:
</p>
<ul>
<li>
<p>
<em>section</em> if the package is in the <em>main</em> archive area,
</p>
</li>
<li>
<p>
<em>area/section</em> if the package is in the <em>contrib</em> or
<em>non-free</em> archive areas.
</p>
</li>
</ul>

<p>
The Debian archive maintainers provide the authoritative list of sections.  At
present, they are: admin, cli-mono, comm, database, debug, devel, doc, editors,
education, electronics, embedded, fonts, games, gnome, gnu-r, gnustep,
graphics, hamradio, haskell, httpd, interpreters, introspection, java, kde,
kernel, libdevel, libs, lisp, localization, mail, math, metapackages, misc,
net, news, ocaml, oldlibs, otherosfs, perl, php, python, ruby, science, shells,
sound, tasks, tex, text, utils, vcs, video, web, x11, xfce, zope.  The
additional section <em>debian-installer</em> contains special packages used by
the installer and is not used for normal Debian packages.
</p>

<p>
For more information about the sections and their definitions, see the <code><a
href="http://packages.debian.org/unstable/">list of sections in
unstable</a></code>.
</p>

<hr>

<h2 id="s-priorities">2.5 Priorities</h2>

<p>
Each package should have a <em>priority</em> value, which is included in the
package's <em>control record</em> (see <a
href="ch-controlfields.html#s-f-Priority"><samp>Priority</samp>, Section
5.6.6</a>).  This information is used by the Debian package management tools to
separate high-priority packages from less-important packages.
</p>

<p>
The following <em>priority levels</em> are recognized by the Debian package
management tools.
</p>
<dl>
<dt><samp>required</samp></dt>
<dd>
<p>
Packages which are necessary for the proper functioning of the system (usually,
this means that dpkg functionality depends on these packages).  Removing a
<samp>required</samp> package may cause your system to become totally broken
and you may not even be able to use <code>dpkg</code> to put things back, so
only do so if you know what you are doing.  Systems with only the
<samp>required</samp> packages are probably unusable, but they do have enough
functionality to allow the sysadmin to boot and install more software.
</p>
</dd>
</dl>
<dl>
<dt><samp>important</samp></dt>
<dd>
<p>
Important programs, including those which one would expect to find on any
Unix-like system.  If the expectation is that an experienced Unix person who
found it missing would say &quot;What on earth is going on, where is
<code>foo</code>?&quot;, it must be an <samp>important</samp> package.[<a
href="footnotes.html#f6" name="fr6">6</a>] Other packages without which the
system will not run well or be usable must also have priority
<samp>important</samp>.  This does <em>not</em> include Emacs, the X Window
System, TeX or any other large applications.  The <samp>important</samp>
packages are just a bare minimum of commonly-expected and necessary tools.
</p>
</dd>
</dl>
<dl>
<dt><samp>standard</samp></dt>
<dd>
<p>
These packages provide a reasonably small but not too limited character-mode
system.  This is what will be installed by default if the user doesn't select
anything else.  It doesn't include many large applications.
</p>
</dd>
</dl>
<dl>
<dt><samp>optional</samp></dt>
<dd>
<p>
(In a sense everything that isn't required is optional, but that's not what is
meant here.) This is all the software that you might reasonably want to install
if you didn't know what it was and don't have specialized requirements.  This
is a much larger system and includes the X Window System, a full TeX
distribution, and many applications.  Note that optional packages should not
conflict with each other.
</p>
</dd>
</dl>
<dl>
<dt><samp>extra</samp></dt>
<dd>
<p>
This contains all packages that conflict with others with required, important,
standard or optional priorities, or are only likely to be useful if you already
know what they are or have specialized requirements (such as packages
containing only detached debugging symbols).
</p>
</dd>
</dl>

<p>
Packages must not depend on packages with lower priority values (excluding
build-time dependencies).  In order to ensure this, the priorities of one or
more packages may need to be adjusted.
</p>

<hr>

<p>
[ <a href="ch-scope.html">previous</a> ]
[ <a href="index.html#contents">Contents</a> ]
[ <a href="ch-scope.html">1</a> ]
[ 2 ]
[ <a href="ch-binary.html">3</a> ]
[ <a href="ch-source.html">4</a> ]
[ <a href="ch-controlfields.html">5</a> ]
[ <a href="ch-maintainerscripts.html">6</a> ]
[ <a href="ch-relationships.html">7</a> ]
[ <a href="ch-sharedlibs.html">8</a> ]
[ <a href="ch-opersys.html">9</a> ]
[ <a href="ch-files.html">10</a> ]
[ <a href="ch-customized-programs.html">11</a> ]
[ <a href="ch-docs.html">12</a> ]
[ <a href="ap-pkg-scope.html">A</a> ]
[ <a href="ap-pkg-binarypkg.html">B</a> ]
[ <a href="ap-pkg-sourcepkg.html">C</a> ]
[ <a href="ap-pkg-controlfields.html">D</a> ]
[ <a href="ap-pkg-conffiles.html">E</a> ]
[ <a href="ap-pkg-alternatives.html">F</a> ]
[ <a href="ap-pkg-diversions.html">G</a> ]
[ <a href="ch-binary.html">next</a> ]
</p>

<hr>

<p>
Debian Policy Manual
</p>

<address>
version 3.9.8.0, 2016-03-30<br>
<br>
<a href="ch-scope.html#s-authors">The Debian Policy Mailing List</a><br>
<br>
</address>
<hr>

</body>

</html>

